/* normal menu css */

.main_menu > ul > li {
  display: inline-block;
  position: relative;
  margin: 0 -2px;
  background-color:#030f27;
}
.main_menu ul li {
  position: relative;
}

.main_menu ul li a {
  font-size: 16px;
  color: #fff;
  padding: 10px 25px;
  display: block;
  font-weight: 400;
}

.main_menu ul li .active,
.main_menu ul li:hover > a {
  color: #b6e30c;
}
/* Normal Dropdown menu */
.main_menu ul li ul {
  width: 250px;
  background: #000;
  transition: 0.5s;
  box-shadow: 0px 5px 15px 0px rgba(212, 201, 201, 0.75);
}

.main_menu ul li ul li a {
  padding: 10px 10px;
  font-size: 15px;
  text-align:left;
}
.main_menu ul li ul li a i {
  float: right;
}

.main_menu ul li ul li ul {
  left: 100%;
  top: 0;
}

/* mega menu css */
.mega_menu_dropdown {
  position: static !important;
}
.mega_menu {
  left: 0;
  right: 0;
  background: #fff;
  display: flex;
  flex-wrap: wrap;
  transition: 0.5s;
  box-shadow: 0px 5px 15px 0px rgba(212, 201, 201, 0.75);
}
.mega_menu_item {
  width: 25%;
  padding: 30px 20px;
}
.main_menu ul li .mega_menu_item a {
  padding: 10px 0;
}

.main_menu ul li .mega_menu_item a:hover {
  color: var(--hover-color);
}
.mega_menu_item h3 {
  margin-bottom: 15px;
}
.mega_menu_item img {
  width: 100%;
}

/* demo_2 css */
.mega_menu_demo_2 .mega_menu {
  left: 50%;
  transform: translateX(-50%);
  width: 1140px;
}

.mobile_btn {
  display: none;
}

/* responsive css */
@media (min-width: 992px) and (max-width: 1199.98px) {
  .container {
    width: 960px;
  }
  .mega_menu_demo_2 .mega_menu {
    width: 940px;
  }
  .main_menu ul li ul {
    width: 150px;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .container {
    width: 720px;
  }
  .mega_menu_demo_2 .mega_menu {
    width: 700px;
  }
  .main_menu ul li a {
    font-size: 15px;
    padding: 20px 16px;
  }
  .main_menu ul li ul {
    width: 150px;
  }
}
@media (min-width: 768px) {
  .main_menu ul li ul {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    margin-top: 50px;
  }
  .main_menu ul li .mega_menu {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    margin-top: 50px;
  }
  .main_menu ul li:hover > ul {
    visibility: visible;
    opacity: 1;
    margin-top: 0px;
    z-index: 99;
  }
  .main_menu ul li:hover > .mega_menu {
    visibility: visible;
    opacity: 1;
    margin-top: 0;
    z-index: 99;
  }
}

@media (max-width: 767.98px) {
  .mega_menu_demo_2 .mega_menu,
  .container {
    width: 100%;
  }

  nav {
    padding: 15px;
	
  }
  .mobile_btn {
    cursor: pointer;
    display: block;
  }

  .main_menu {
    display: none;
    width: 100%;
  }

  .main_menu ul li {
    display: block;
  }
  .main_menu ul li a i {
    float: right;
  }
  .main_menu ul li a {
    border-bottom: 1px solid #ddd;
  }
  .main_menu ul li ul {
    width: 100%;
  }
  .main_menu ul li ul li ul {
    left: 0;
    top: auto;
  }

  .mega_menu .mega_menu_item {
    width: 50%;
  }
  .main_menu ul li ul {
    display: none;
    transition: none;
  }
  .main_menu ul li .mega_menu {
    display: none;
    transition: none;
  }

  .mega_menu_demo_2 .mega_menu {
    transform: translateX(0);
  }
}

@media (max-width: 575.98px) {
  .mega_menu .mega_menu_item {
    width: 100%;
  }
}